Plugin update not taking – shows update still required